/* Copyright (c) 2015 Token Logic. All Rights Reserved.
 */

#include "SHT21.h"
#include "app_twi.h"
#include "app_error.h"

// variable for register address pointer
static uint8_t const sht21_user_reg_r = SHT21_USER_REG_R;


/**
 * @brief Configure the SHT21 temperature and humidity sensor
 */
void SHT21_default_config(app_twi_t *m_app_twi, uint8_t *m_user_reg)
{
	//uint8_t user_reg = sht21_get_register();

	//Read of config register
	//Bibitwise OR config with settings
	
	// Default configuration array
	uint8_t default_config[] = { 
		SHT21_USER_REG_W, (*m_user_reg & ~SHT21_RES_MASK) |SHT21_RES_8_12BIT
	};

	// Queue transfers
	app_twi_transfer_t const sht21_cfg_transfers[] = {
		APP_TWI_WRITE(SHT21_ADDRESS, default_config, sizeof(default_config), 0)
	};
	
	APP_ERROR_CHECK( app_twi_perform(m_app_twi, sht21_cfg_transfers, 1, NULL) );
	
	
}

void SHT21_get_register(app_twi_t *m_app_twi, uint8_t *m_user_reg){
	
	app_twi_transfer_t const transfers[] = {
		APP_TWI_WRITE(SHT21_ADDRESS, &sht21_user_reg_r, 1, APP_TWI_NO_STOP), 
		APP_TWI_READ (SHT21_ADDRESS, m_user_reg, 1, 0)
	};
	
	APP_ERROR_CHECK( app_twi_perform(m_app_twi, transfers, 2, NULL) );
	
	
}
	
